<?php

/**
 * @file
 * Displays the Fetchgals log form.
 */

/**
 * Views the log file.
 */
function fetchgals_log_form() {
  $form['process'] = array(
    '#type' => 'item',
    '#description' => '<h2>'. (fetchgals_process(variable_get('fetchgals_pid', 0)) ? t('A fetchgals process is currently running, please refresh your browser to update any changes in your log.') : t('No fetchgals processes are currently running.')) .'</h2>',
  );
  $form['fetchgals_log'] = array(
    '#type' => 'fieldset',
    '#title' => t('Log File:'),
    '#collapsible' => FALSE,
    '#collapsed' => FALSE,
  );
  $form['fetchgals_log']['log_file'] = array(
    '#type' => 'item',
    '#description' => '<pre>'. file_get_contents(libraries_get_path('fetchgals') .'/log') .'</pre>',
  );
  return $form;
} // fetchgals_log_form