<?php

/**
 * @file
 * Themes the output of the index page.
 */
?>
<?php drupal_set_title(check_plain($title)) ?>

<?php foreach ($list as $items) : ?>
  <h2><?php print check_plain($items['heading']) ?></h2>
  <?php if (count($items['list'])) : ?>
    <ul>
      <?php foreach ($items['list'] as $item) : ?>
        <li><?php print filter_xss($item) ?></li>
      <?php endforeach; ?>
    </ul>
  <?php endif; ?>
<?php endforeach; ?>